Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Paho » Paho Java Eclipse Utility
Paho Java Eclipse Utility [message #1708419] Wed, 16 September 2015 11:58
James Sutton is currently offline James SuttonFriend
Messages: 69
Registered: July 2015
Member
I'm trying to look into a bug within the Eclipse based Paho utility in the java repository. But I can't get it to launch from the IDE or from the built maven artifacts.

When I try to launch it, I get lots of 'could not resolve module' errors:

!ENTRY org.eclipse.ui.intro 4 0 2015-09-16 12:40:25.295
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.ui.intro
Unresolved requirement: Require-Bundle: org.eclipse.help.base; bundle-version="
Unresolved requirement: Require-Bundle: org.eclipse.ui.workbench; bundle-version="
Unresolved requirement: Import-Package: org.eclipse.e4.core.commands
-> Export-Package: org.eclipse.e4.core.commands; bundle-version="0.11.0.v20150422-0725"; bundle-symbolic-name="org.eclipse.e4.core.commands"; version="0.0.0"; x-friends:="org.eclipse.e4.ui.bindings, org.eclipse.e4.ui.workbench, org.eclipse.e4.ui.workbench.renderers.swt, org.eclipse.ui.workbench, org.eclipse.e4.ui.workbench.swt, org.eclipse.e4.ui.progress, org.eclipse.e4.core.commands.tests"
org.eclipse.e4.core.commands
Unresolved requirement: Import-Package: org.eclipse.e4.core.contexts
-> Export-Package: org.eclipse.e4.core.contexts; bundle-version="1.4.0.v20150421-2214"; bundle-symbolic-name="org.eclipse.e4.core.contexts"; version="0.0.0"
org.eclipse.e4.core.contexts
Unresolved requirement: Require-Bundle: org.eclipse.e4.core.di
-> Bundle-SymbolicName: org.eclipse.e4.core.di; bundle-version="1.5.0.v20150421-2214"
org.eclipse.e4.core.di [49]
Unresolved requirement: Require-Bundle: org.eclipse.e4.core.di.annotations; bundle-version="[1.4.0,2.0.0)"; visibility:="reexport"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)


Is there something obvious that I'm missing here?
Previous Topic:Android MQTT Service - QoS 1 & Clean Session false strange behavior & reconnect behavior
Next Topic: Add buttons on app MQTT PAHO
Goto Forum:
  


Current Time: Fri Sep 21 07:45:37 GMT 2018

Powered by FUDForum. Page generated in 0.01856 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top